## ros-indigo-roseus-smach 1.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roseus_smach)

find_package(catkin REQUIRED COMPONENTS std_msgs actionlib smach smach_ros smach_msgs actionlib_tutorials message_generation roseus)

add_action_files(
  DIRECTORY action
  FILES
  Multiply10.action
  Sub5.action)

generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(
#    DEPENDS 
    CATKIN_DEPENDS euslisp roseus smach smach_ros smach_msgs # TODO
#    INCLUDE_DIRS # TODO include
#    LIBRARIES # TODO
)

install(DIRECTORY sample src test
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test_samples.test)
  add_rostest(test/test_samples_action_client_state.test)
  add_rostest(test/test_action_server.test)
  add_rostest(test/test_action_client_state_in_server.test)
  add_rostest(test/test_roseus_smach_utils.test)
  add_rostest(test/test_async_join_state_machine_actionlib.test)
  add_rostest(test/test_parallel_state_machine_sample.test)
endif()

=== debian/changelog ===
ros-indigo-roseus-smach (1.7.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-indigo-roseus-smach (1.7.3-0trusty) trusty; urgency=high

  * check why test-smach-action-client-state failing on installed test (#570 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/570> )
  * fix make-state-machine docstring (#589 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/589> )
  * re-enable test-smach-action-client-state, which is removed in https://github.com/jsk-ros-pkg/jsk_roseus/pull/567#issuecomment-406841511
  * Add issue link in make-state-machine docstring (#595 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/595> )
  * roseus_smach: change the order of callee args for userdata in pddl2smach (#587 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/587>)
  * roseus_smach: pass userdata values unless :arg-keys is set (#586 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/586>)
    * roseus_smach: fix error on exec state machine without *ri*
  * Contributors: Guilherme Affonso, Yuki Furuta, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-indigo-roseus-smach (1.7.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-indigo-roseus-smach (1.7.1-0trusty) trusty; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * split test_samples.test into test_samples_action_client_state.test, since it is always failling on only installed test https://api.travis-ci.org/v3/job/406576370/log.txt, not sure why...
    * roseus_smach/test/test_samples.test: extend time-limit to 300
    * add retry for testtest_roseus_smach_samples
    the test failing https://api.travis-ci.org/v3/job/406540328/log.txt
    is this related to memory leak? https://github.com/jsk-ros-pkg/jsk_roseus/pull/563
    ```
    mstart testing [test-smach-sample-userdata]
    mfoo-count is not set. Setting 0
    start testing [test-smach-action-client-state]
    m;p=pointer?(0x6690338)
    ;; Segmentation Fault.
    terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
    what():  boost: mutex lock failed in pthread_mutex_lock: Invalid argument
    [Testcase: testtest_roseus_smach_samples] ... FAILURE!
    FAILURE: test [test_roseus_smach_samples] did not generate test results
    File \"/usr/lib/python2.7/unittest/case.py\", line 329, in run
    testMethod()
    File \"/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/runner.py\", line 164, in fn
    self.assert\_(os.path.isfile(test_file), \"test [%s] did not generate test results\"%test_name)
    File \"/usr/lib/python2.7/unittest/case.py\", line 422, in assertTrue
    raise self.failureException(msg)
    ```
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-indigo-roseus-smach (1.7.0-0trusty) trusty; urgency=high

  * Bugfixes and test codes for roseus_smach (#566 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/566>)
    * roseus_smach: add log messages on state transition
    * roseus_smach: fix: pass :cancel state to action-client-state
    * roseus_smach: fix test
    * roseus_smach: add test code for smach-actionlib
    * - Fix: indentationsFix: [bug] userdata is not kept if not given as arguments
    
    Add: Test code for action-client-state class
    
    Add: action-client-state sets action result/feedback to userdata for key :result/:feedback
  * [roseus_smach] func: make-state-machine accepts various edges (#548 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/548>)
    * correct doc of :add-transition:add-transition do not accept list as exec-result
    
      * update make-state-machine docstring
      * set testfunc for transition in make-state-machine
      * func: make-state-machine accepts various edges
    
  * [roseus_smach] pass userdata keys to state-machine in execution (#549 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/549>)
    * add exec-state-machine test
    * pass userdata keys to state-machine in execution
  * Contributors: Shingo Kitagawa, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Jul 2018 00:00:00 -0000

ros-indigo-roseus-smach (1.6.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 08 Sep 2017 00:00:00 -0000

ros-indigo-roseus-smach (1.6.2-0trusty) trusty; urgency=high

  * replace ros-info by ros-debug in state-machine.l (#523 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/523>)
  * add root-name key in exec-state-machine (#523 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/523>)
    * use exex-state-machine in sample programexec-smach-with-spin is deprecated.
    
      * add exec-state-machine with :root-name key test
      * add root-name key in exec-state-machine
    
  * Contributors: Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jun 2017 00:00:00 -0000

ros-indigo-roseus-smach (1.6.1-0trusty) trusty; urgency=high

  * Merge smach exec (#507 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/507>)
    * [roseus_smach] rename smach-exec-with-spin -> exec-state-machine
    * [roseus_smach/src/pddl2smach.l] use function namespace to call
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Mar 2017 00:00:00 -0000

ros-indigo-roseus-smach (1.6.0-0trusty) trusty; urgency=high

  * [roseus/src/state-machine-utils.l] add document string for exec-smach-with-spin
  * [roseus_smach/src/state-machine-utils.l] support y-or-n-p when iterate mode
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Oct 2016 00:00:00 -0000

ros-indigo-roseus-smach (1.5.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-indigo-roseus-smach (1.5.2-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-roseus-smach
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-tutorials, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roseus, ros-indigo-rostest, ros-indigo-smach, ros-indigo-smach-msgs, ros-indigo-smach-ros, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/roseus_smach
Standards-Version: 3.9.2

Package: ros-indigo-roseus-smach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-tutorials, ros-indigo-euslisp, ros-indigo-message-runtime, ros-indigo-roseus, ros-indigo-rostest, ros-indigo-smach, ros-indigo-smach-msgs, ros-indigo-smach-ros, ros-indigo-std-msgs
Description: roseus_smach * Euslisp state machine class.
 it will be moved. * Message publisher for visualizing current state by smach_viewer. * Simple pickle dump script for debugging state machine. * Execute state machine as a action server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roseus-smach//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
